Skip to main content
GET
/
llm-application
/
open
/
document
/
{id}
文档详情
curl --request GET \
  --url https://open.bigmodel.cn/api/llm-application/open/document/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://open.bigmodel.cn/api/llm-application/open/document/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://open.bigmodel.cn/api/llm-application/open/document/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://open.bigmodel.cn/api/llm-application/open/document/{id}")
.header("Authorization", "Bearer <token>")
.asString();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://open.bigmodel.cn/api/llm-application/open/document/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://open.bigmodel.cn/api/llm-application/open/document/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "id": "12121212121212",
    "knowledge_type": 1,
    "custom_separator": [
      "\n"
    ],
    "sentence_size": 300,
    "length": 0,
    "word_num": 100,
    "name": "",
    "url": "",
    "embedding_stat": 0,
    "failInfo": {
      "embedding_code": 10002,
      "embedding_msg": "字数超出限制"
    }
  },
  "code": 200,
  "message": "请求成功",
  "timestamp": 1689649504996
}
{
"code": 123,
"message": "<string>"
}

Authorizations

Authorization
string
header
required

标准的 HTTP Bearer 认证方式,在 API Keys 页面获取密钥。

Path Parameters

id
string
required

文档id

Response

请求成功

data
object
code
integer

状态码

message
string

返回信息

timestamp
integer

时间戳